#include <iostream>
using namespace std;

int proveraTezine(long l, long d, long x, long matrica[][2]) {
  int rezultat = 0;
  for (int i = l; i <= d; i++) {
    if (matrica[i][0] <= x && x <= matrica[i][1]) {
      rezultat++;
    }
  }
  return rezultat;
}

int main() {
  long brojVagi, brojPitanja;
  cin >> brojVagi >> brojPitanja;
  long matrica[brojVagi][2];
  for (int i = 0; i < brojVagi; i++) {
    for (int j = 0; j < 2; j++) {
      cin >> matrica[i][j];
    }
  }

  for (int i = 0; i < brojPitanja; i++) {
    long l, d, x;
    cin >> l >> d >> x;
    cout << proveraTezine(l - 1, d - 1, x, matrica) << endl;
  }
}